# $Revision: 1.9 $, $Date: 2007/10/10 12:39:18 $
Summary:	Advanced Linux Sound Architecture - firmware data
Summary(pl.UTF-8):	Advanced Linux Sound Architecture - dane firmware
Name:		alsa-firmware
Version:	1.0.14
Release:	1
License:	varies (GPL, BSD-like, distributable)
Group:		Libraries
Source0:	ftp://ftp.alsa-project.org/pub/firmware/%{name}-%{version}.tar.bz2
# Source0-md5:	22c9e8664af7366d27f67f0c429f8971
URL:		http://www.alsa-project.org/
BuildRequires:	automake
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*\.elf
%define		hotplugfwdir	/lib/firmware

%description
Firmware data for ALSA.

%description -l pl.UTF-8
Dane firmware dla ALSA.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--disable-buildfw \
	--with-hotplug-dir=%{hotplugfwdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -f hdsploader/README README.hdsploader
cp -f mixartloader/README README.mixartloader
cp -f pcxhrloader/README README.pcxhrloader
cp -f usx2yloader/README README.usx2yloader
cp -f vxloader/README README.vxloader
cp -f aica/license.txt license.aica

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* mixartloader/miXart.conf pcxhrloader/pcxhr.conf usx2yloader/us*.conf vxloader/vx*.conf aica/Dreamcast_sound.txt license.aica
# -hotplug subpackage? (R: hotplug)
%{hotplugfwdir}/aica_firmware.bin
%{hotplugfwdir}/digiface_*.bin
%{hotplugfwdir}/multiface_*.bin
%{hotplugfwdir}/asihpi
%{hotplugfwdir}/ea
%{hotplugfwdir}/emagic
%{hotplugfwdir}/emu
%{hotplugfwdir}/ess
%{hotplugfwdir}/korg
%{hotplugfwdir}/mixart
%{hotplugfwdir}/pcxhr
%{hotplugfwdir}/sb16
%{hotplugfwdir}/vx
%{hotplugfwdir}/yamaha
# -alsa subpackage? (R: alsa-tools, %{_datadir}/alsa dir)
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/hdsploader
%{_datadir}/alsa/firmware/mixartloader
%{_datadir}/alsa/firmware/pcxhrloader
%{_datadir}/alsa/firmware/usx2yloader
%{_datadir}/alsa/firmware/vxloader

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-firmware.spec,v $
Revision 1.9  2007/10/10 12:39:18  hawk
- release 1

Revision 1.8  2007/06/12 05:44:08  qboosh
- updated to 1.0.14

Revision 1.7  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.5  2006/10/04 21:20:12  qboosh
- updated to 1.0.13

Revision 1.4  2006/08/26 12:08:16  qboosh
- updated to 1.0.12
- noarch (only noinst build tools are compiled by host gcc)

Revision 1.3  2006/04/22 00:11:26  qboosh
- updated to 1.0.11

Revision 1.2  2005/11/19 17:45:03  qboosh
- md5

Revision 1.1  2005/11/19 17:43:58  qboosh
- new
